Enable RemexHTML on all wikis with < 100 linter errors in all high priority linter categories in ns0 (main namespace)
Closed, ResolvedPublic

Description

Wiktionaries:
https://quarry.wmflabs.org/query/26807
Right now, 19 wiktionaries qualify ( ar, de, el, en, es, fa, ga, hi, hu, hy, it, ja, jv, ko, mr, pt, si, tr, yi ); 16 still failing ( bg, eo, eu, fr, io, ka, ku, lt, mn, pl, ru, sr, ta, th, uz, wa )

Wikisources:
https://quarry.wmflabs.org/query/26813
Right now, 11 wikisources qualify ( bn, br, hy, it, ja, ko, ml, nl, pa, ta, th ); 12 still failing ( ar, de, en, fa, fr, he, id, pt, ru, sa, sl, sr )

Wikipedias:
https://quarry.wmflabs.org/query/26814
Right now, 37 wikipedias qualify ( als, ang, ay, be_x_old, bg, bh, bxr, cs, csb, dty, dv, eml, frp, ga, gl, hif, ht, kl, ku, lmo, mai, nds, nds_nl, nv, or, pa, pcd, ps, qu, sa, sco, si, stq, vec, vo, wuu, zh_classical ); 91 still failing ( af, an, ar, as, ast, av, az, azb, ba, be, bpy, ce, ckb, cv, cy, da, diq, el, en, eo, es, eu, fr, fy, gd, gu, hak, hi, hr, hu, hy, id, io, ja, jv, ka, kab, kk, kn, koi, kv, ky, lrc, lt, lv, min, mk, ml, mr, ms, mt, my, myv, nah, ne, new, nn, oc, pam, pnb, pt, ro, roa_rup, sd, sh, simple, sk, sl, sq, sr, su, sw, ta, te, tg, th, tl, tr, tt, ug, uk, ur, uz, vi, xmf, yi, yo, zh, zh_min_nan, zh_yue )

Wikibooks:
https://quarry.wmflabs.org/query/26601
Right now, 4 wikibooks qualify (de, fi, he, sq ); 3 still failing ( en, es, fr )

I plan to make this switch for these ~70 wikis on May 16th. If someone felt motivated to fix a few templates / pages in the linter categories with a lot of entries, we might be able to get more wikis transitioned over sooner. I have noticed that on all but the large wikis, fixing a few templates almost always fixes lots of pages and greatly brings down the linter counts.

ssastry created this task.May 2 2018, 10:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 2 2018, 10:41 PM
ssastry updated the task description. (Show Details)May 3 2018, 3:58 AM
ssastry renamed this task from Enable RemexHTML on wiktionary wikis with < 100 linter errors in all high priority linter categories in ns0 (main namespace) to Enable RemexHTML on all wikis with < 100 linter errors in all high priority linter categories in ns0 (main namespace).May 3 2018, 2:48 PM
ssastry triaged this task as Normal priority.
ssastry updated the task description. (Show Details)
ssastry updated the task description. (Show Details)
ssastry updated the task description. (Show Details)
ssastry updated the task description. (Show Details)May 3 2018, 2:51 PM
ssastry updated the task description. (Show Details)
ssastry updated the task description. (Show Details)May 4 2018, 6:55 PM
TTO added a subscriber: TTO.EditedMay 10 2018, 11:55 AM

The Wiktionary query link points to a Wikibooks query...

I am working on English Wiktionary right now. As you say, there are a few templates that cause most of the errors. There are also a lot of entries on enwiktionary for Latvian words that have mismatched ''' bold tags, so I am fixing them manually. Once that is done it might be possible to add enwiktionary to this list.

The Wiktionary query link points to a Wikibooks query...

I am working on English Wiktionary right now. As you say, there are a few templates that cause most of the errors. There are also a lot of entries on enwiktionary for Latvian words that have mismatched ''' bold tags, so I am fixing them manually. Once that is done it might be possible to add enwiktionary to this list.

Your support is really appreciated!

Elitre moved this task from Backlog to Mailing list notification only on the Tech-Ambassadors board.

(Experimenting with new tag. This is mostly an FYI to ambassadors as it's already getting announced on Tech News. If one of their wikis is involved and they want to take action, https://www.mediawiki.org/wiki/Parsing/Replacing_Tidy/FAQ#What_will_editors_need_to_do.3F has instructions.)

ssastry updated the task description. (Show Details)May 10 2018, 2:34 PM
ssastry updated the task description. (Show Details)May 11 2018, 5:44 PM

I've been checking linter errors on eswiktionary, it should qualify now.

Change 432621 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[operations/mediawiki-config@master] Enable RemexHtml on wikis with < 100 ns0 errors in high priority cats

https://gerrit.wikimedia.org/r/432621

I've been checking linter errors on eswiktionary, it should qualify now.

Thanks. Will check queries again tomorrow and update.

ssastry updated the task description. (Show Details)May 12 2018, 10:54 PM
ssastry updated the task description. (Show Details)May 14 2018, 5:31 PM
ssastry updated the task description. (Show Details)May 16 2018, 1:21 AM

Change 432621 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable RemexHtml on wikis with < 100 ns0 errors in high priority cats

https://gerrit.wikimedia.org/r/432621

Mentioned in SAL (#wikimedia-operations) [2018-05-16T17:33:54Z] <hoo@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: Enable RemexHtml on wikis with < 100 ns0 errors in high priority cats (T193685) (duration: 01m 22s)

ssastry closed this task as Resolved.May 16 2018, 5:42 PM

I will update the queries to remove those that have Tidy removed -- so they can continue to be used.

(@Aklapper is there a bug here? I moved this task to Archive but I can't see it on https://phabricator.wikimedia.org/project/view/3302/ ? Happy to report elsewhere if necessary. )

I moved this task to Archive but I can't see it on https://phabricator.wikimedia.org/project/view/3302/ ? Happy to report elsewhere if necessary. )

@Elitre: I can see it in the "Archive" column after changing the filter view (which defaults to open tasks) to show all tasks. Does that help?

Happy to report elsewhere if necessary.

Best to bring up on https://www.mediawiki.org/wiki/Talk:Phabricator/Help

Vvjjkkii renamed this task from Enable RemexHTML on all wikis with < 100 linter errors in all high priority linter categories in ns0 (main namespace) to 6qdaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed ssastry as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
AfroThundr3007730 renamed this task from 6qdaaaaaaa to Enable RemexHTML on all wikis with < 100 linter errors in all high priority linter categories in ns0 (main namespace).Jul 1 2018, 5:10 AM
AfroThundr3007730 closed this task as Resolved.
AfroThundr3007730 lowered the priority of this task from High to Normal.
AfroThundr3007730 assigned this task to ssastry.
AfroThundr3007730 updated the task description. (Show Details)
AfroThundr3007730 added subscribers: GerritBot, Aklapper.